Skip to navigation

Update guarantor

Updates a guarantor by its guarantor_id.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

guarantor_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
first_namestring or nullOptional
last_namestring or nullOptional
external_idstring or nullOptional
A unique identifier for the guarantor assigned by an external system.
date_of_birthdate or nullOptional

Date formatted as YYYY-MM-DD; eg: 2019-08-25.

addressobject or nullOptional
phone_numberslist of objects or nullOptional
emailstring or nullOptional

Response

addressobject
external_idstring
first_namestring
guarantor_idstringformat: "uuid"
last_namestring
phone_numberslist of objects
date_of_birthdate or nullOptional
emailstring or nullOptional